package com.alterdekim.game.component.game;

import lombok.RequiredArgsConstructor;

import java.util.Collections;
import java.util.List;

@RequiredArgsConstructor
public enum AvatarInventoryType {
    Clothes(List.of(1, 4, 14, 32, 36, 40)),
    Magic(Collections.singletonList(64)),
    Backgrounds(Collections.singletonList(41)),
    Phones(Collections.emptyList()),
    Smile(Collections.emptyList()),
    House(Collections.singletonList(34)),
    HouseFurniture(Collections.singletonList(20)),
    Club(Collections.emptyList()), /////////////
    ClubFacade(Collections.emptyList()), /////////////
    ClubShow(Collections.emptyList()), /////////////
    ClubFurniture(Collections.emptyList()), /////////
    Achievments(Collections.emptyList()),
    BodyParts(Collections.emptyList());

    private final List<Integer> goodTypes;

    public static AvatarInventoryType fromGoodType(int goodType) {
        for( AvatarInventoryType t : values() ) {
            for( Integer gt : t.goodTypes ) {
                if( goodType == gt) return t;
            }
        }
        return Clothes;
    }
}
